﻿#language: ru

@SalesOfProducts

Функционал: 001. SalesOfProducts. НСИ.

Сценарий: 001.1. SalesOfProducts. Настройки исполнения заказов
	
	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.001. Реализация товаров"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я устанавливаю флаг 'Автоматически формировать СФ при оформлении накладных'
	И я устанавливаю флаг 'Использовать неавтоматизированные склады при оформлении накладных'
	И я устанавливаю флаг 'Разделять накладные по складам'
	И я устанавливаю флаг 'Использовать проверки документов'
	И я устанавливаю флаг 'Контроль остатков заказов'
	И я устанавливаю флаг 'Контроль остатков планов отгрузки'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 001.2. SalesOfProducts. Создание этапов заказов

	Дано я удаляю объекты "Справочники.к2ЭтапыДокументов" без контроля ссылок
	И Я создаю этап "Исходный - Заказ клиента" для документа "Заказ клиента" с порядком "1"
	И Я создаю этап "Подтвержденный - Заказ клиента" для документа "Заказ клиента" с порядком "2"

Сценарий: 001.3. SalesOfProducts. Загрузка НСИ

	Дано Я загружаю общую НСИ

Сценарий: 001.4. SalesOfProducts. Завершение

	И Я закрыл все окна клиентского приложения